namespace SafeCampus.Application.Services.Business.PersonInfoService;

public interface IPersonInfoService:ITransient
{
    /// <summary>
    /// 添加信息
    /// </summary>
    /// <returns></returns>
    Task<bool> Add(PersonInfoDto input);

    /// <summary>
    /// 删除信息
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    Task<bool> Delete(string id);
    /// <summary>
    /// 获取详情
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    Task<PersonInfoDto> GetInfo(string id);
    /// <summary>
    /// 编辑信息
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<bool> Update(PersonInfoDto input);
    /// <summary>
    /// 更新班级
    /// </summary>
    /// <param name="personId"></param>
    /// <param name="personSetId"></param>
    /// <returns></returns>
    Task<bool> UpdateSet(List<string> personId,string personSetId);
    /// <summary>
    /// 获取底库列表
    /// </summary>
    /// <returns></returns>
    Task<SqlSugarPagedList<PersonInfoDto>> GetPageList(PersonInfoSearch search);
    /// <summary>
    /// 获取人员数量
    /// </summary>
    /// <returns></returns>
    Task<int> GetCount(string sex);
    /// <summary>
    /// 获取学生年龄
    /// </summary>
    /// <returns></returns>
    Task<dynamic> GetAge();
}